Инструменты пользователя

Инструменты сайта


ru:plugin:openlayersmap

OpenLayersMap Plugin

Совместим с «Докувики»

  • 2022-07-31 "Igor" неизвестно
  • 2020-07-29 "Hogfather" нет
  • 2018-04-22 "Greebo" да
  • 2017-02-19 "Frusterick Manners" да

plugin Добавьте карты (OpenStreetMap, Google, Bing и ваши собственные данные) на страницы Вашей вики с помощью OpenLayers

Последнее обновление:
2017-11-05
Предоставляет
Syntax, Action
Репозиторий
исходный код
Конфликтует с
openlayersmapoverlays
Требует
geophp

This extension is not in the 'plugin' or 'template' namespace and is therefore ignored.

Похож на cnmap, googlemaps, googlemaps3, ol3, osm, simplemap

Теги: embed, geo, maps, media, spatial

Нужен для openlayersmapoverlays

Описание

Плагин рендеринга карты, который поместит карту на основе OpenLayers на страницу вики. Компонент позволяет пользователям размещать GPS-данные (в настоящее время поддерживаются GeoJSON, GPX и KML-форматы) и другие географические службы на карте в настраиваемом макете и использует компоненты и данные с открытым исходным кодом (OSM). Он также может быть настроен на использование не открытых поставщиков данных (Google, Virtual Earth). Плагин динамически загружает API OpenLayers по требованию, в зависимости от лицензионных ключей API, которые вводятся в разделе конфигурации (доступны различные базовые карты).

Hogfather

:!: если вы хотите, чтобы этот плагин работал, вам может потребоваться отключить флаг функции defer_js для hogfather, YMMV. Поскольку Hogfather не имеет стабильного релиза, я не могу его опробовать. Я буду работать над новой версией, как только появится стабильная версия Hogfahter, и у меня будет время. :!:

Установка

:!: Примечание: для старых релизов (2008-05-05, 2009-02-14, Lemming, Anteater, Rincewind) вам необходима версия 1.0

  • По ссылке:
  • Скачанный архив:
    • Предложите архив второму полю той же вкладки. Нажмите кнопку «Установить».
    • Распакуйте из архива папку плагина. Правильное наименование папки плагина - в файле plugin.info.txt после указателя base. Переименуйте папку и загрузите на сервер вашего сайта, если понимаете, как это сделать.

:!: Этот плагин требует установленного на сервере расширения PHP GD, в некоторых Linux оно не установлено по умолчанию, но существует пакет php5-gd или подобный. Проверьте ваш phpinfo() перед установкой этого плагина. Если расширение не установлено, ваша вики уйдёт в оффлайн 8-O m(, из-за фатальной ошибки PHP Call to undefined function imagecreatetruecolor() …. Но только если вы используете локальный фоновый рендеринг.

ru/plugin/openlayersmap.txt · Последнее изменение: 2020-07-16 17:53 — Wirbel78

Если не указано иное, содержимое этой вики предоставляется на условиях следующей лицензии: CC Attribution-Share Alike 4.0 International
CC Attribution-Share Alike 4.0 International Donate Powered by PHP Valid HTML5 Valid CSS Driven by DokuWiki